Auralquiz 1.0.0 is out!

May 11, 2017

Time for a new Auralquiz release. Despite being the very official “1.0.0”, it’s a minor update to the previous version, mostly updating some translations and some documentation. This version still supports both Qt 4.8 and Qt 5.x. Next release will not support Qt 4.

auralquiz-v0.9.0

Changelog

The most notable changes since v0.9.0 are:

  • Updated translations.
  • Include .opus files in music scan.
  • Added AppData (AppStream) file.
  • Minor documentation fixes.

Getting it

Auralquiz is available in the repositories of several GNU/linux distributions. At the time of this post, at least Debian 7 (Wheezy) and newer, Mageia 2 and later, Ubuntu 13.10 and newer, and ALT Linux. Hopefully they’ll have this release packaged soon, either in regular updates or in backports repositories. Thanks to all the great packagers who make this possible! 😉

You can get the code from linux-games.org (old qt-apps.org): https://www.linux-games.org/p/1109384/ or from GNU Savannah: http://download.savannah.gnu.org/releases/auralquiz/auralquiz-v1.0.0.tar.gz

If you need or want to build from source, check the INSTALL file for details on how to build it and the necessary build-time and runtime dependencies.

Cheers!


Auralquiz 0.9.0 released!

July 4, 2016

It’s been a really long time since I released the current stable version of Auralquiz, my music guessing game, and it’s about time for a new release, updated for Qt 5, and with fixes all over the place.

auralquiz-v0.9.0

Changelog

The most notable changes since v0.8.1 are:

  • Support for building with Qt 5, which is now the recommended version, since Qt 4 is no longer maintained.
  • Many Phonon fixes, which should avoid sound problems.
  • Added Galician translation, thanks to Miguel Anxo Bouzada.
  • Answering with the keyboard now can be done using the following keys:  1/2/3/4, Z/X/C/V, 7/8/9/0 and U/I/O/P.

Getting it

Auralquiz is available in the repositories of several GNU/linux distributions. At the time of this post, at least Debian 7 (Wheezy) and newer, Mageia 2 and later, Ubuntu 13.10 and newer, and ALT Linux. Hopefully they’ll have this release packaged soon, either in regular updates or in backports repositories. Thanks to all the great packagers who make this possible! 😉

You can get the code from linux-games.org (old qt-apps.org): https://www.linux-games.org/p/1109384/ or from GNU Savannah: http://download.savannah.gnu.org/releases/auralquiz/auralquiz-v0.9.0.tar.gz

If you need or want to build from source, check the INSTALL file for details on how to build it and the necessary build-time and runtime dependencies.

Cheers! o/


Notice: Git repositories moved to gitlab.com

March 25, 2015

Due to the upcoming shutdown of the gitorious.org service, caused by the company behind it being acquired by GitLab, I’ve moved my Git repositories to their proposed gitlab.com service.

This includes the Git repos for Dianara and Auralquiz, which are now located at https://gitlab.com/dianara/dianara-dev and https://gitlab.com/auralquiz/auralquiz-dev.

You can update your clone with this command in their corresponding directories:

git remote set-url origin https://gitlab.com/dianara/dianara-dev.git

git remote set-url origin https://gitlab.com/auralquiz/auralquiz-dev.git

… and then just git pull as usual.

Each project has an issue tracker right there now.

Let me know if you find any issues with this move.

Cheers! o/


Still alive!

March 9, 2013

Hello there! Since the blog looks a little dead, here’s a quick post!

I haven’t done much coding lately, so not much to blog about. The development versions of some of my programs have had some minor updates, but not enough for a release. I’ve also adapted some of them to be Qt5-compatible.

On a side note, sometimes I get visits from people looking for information on why Auralquiz doesn’t work for them. Well, all I can say for now is: use the Phonon-VLC backend. Phonon-Xine worked great with it, but was (and for the moment, still is) deprecated, and Phonon-Gstreamer has some problems with it, so… Phonon-VLC is the one that works for now. Sorry for the trouble.


%d bloggers like this: